<div class="header-section">
    <h3>{{mode === 'CREATE' ? 'Create Task' : 'Edit Task'}}</h3>
    <button mat-icon-button (click)="onCloseCreateTask()">
        <mat-icon>close</mat-icon>
    </button>
</div>
<div class="body-section" [formGroup]="taskFormGroup">
    <div class="inline-field">
        <mat-form-field appearance="outline">
            <mat-label>Task Code</mat-label>
            <input matInput placeholder="Task Code" id="taskCode" formControlName="taskCode">
            <mat-error *ngIf="taskFormGroup.get('taskCode')?.hasError('required')">This field is required.</mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field--left">
        <mat-form-field appearance="outline">
            <mat-label>Task Description</mat-label>
            <input matInput placeholder="Task Description" id="taskDescription" formControlName="taskDescription">
        </mat-form-field>
    </div>
    <div class="full-width-field">
        <mat-form-field appearance="outline">
            <mat-label>Task Details</mat-label>
            <textarea matInput placeholder="Task Details" rows="4" id="taskDetails"
                formControlName="taskDetails"></textarea>
        </mat-form-field>
    </div>

    <div class="inline-field">
        <mat-form-field appearance="outline">
            <mat-label>Starting Date</mat-label>
            <input matInput [matDatepicker]="startDate" placeholder="Starting Date" id="taskStartingDate"
                formControlName="taskStartingDate">
            <mat-datepicker-toggle matSuffix [for]="startDate"></mat-datepicker-toggle>
            <mat-datepicker #startDate></mat-datepicker>
            <mat-error *ngIf="taskFormGroup.get('taskStartingDate')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field inline-field--left">
        <mat-form-field appearance="outline">
            <mat-label>Due Date</mat-label>
            <input matInput [matDatepicker]="dueDate" placeholder="Due Date" id="taskDueDate"
                formControlName="taskDueDate">
            <mat-datepicker-toggle matSuffix [for]="dueDate"></mat-datepicker-toggle>
            <mat-datepicker #dueDate></mat-datepicker>
            <mat-error *ngIf="taskFormGroup.get('taskDueDate')?.hasError('required')">This field is required.
            </mat-error>
        </mat-form-field>
    </div>
    <div class="inline-field">
        <mat-form-field appearance="outline">
            <mat-label>Assignee Name</mat-label>
            <input matInput placeholder="Assignee Name" id="assigneeName" formControlName="assigneeName">
        </mat-form-field>
    </div>
</div>
<div class="action-section">
    <button mat-raised-button *ngIf="mode === 'CREATE'" (click)="clearForm()">Clear</button>
    <button mat-raised-button color="warn" (click)="updateOrSaveHandler()">{{mode === 'CREATE' ? 'Create Task':'Update
        Task'}}</button>
</div>